From: Felix Fietkau <nbd@openwrt.org>
Date: Thu, 28 Jan 2016 15:19:22 +0100
Subject: [PATCH] backports: add napi_alloc_frag

Signed-off-by: Felix Fietkau <nbd@openwrt.org>
---

--- a/backport-include/linux/netdevice.h
+++ b/backport-include/linux/netdevice.h
@@ -232,6 +232,10 @@ static inline void backport_unregister_n
 #define unregister_netdevice_many LINUX_BACKPORT(unregister_netdevice_many)
 #endif
 
+#if LINUX_VERSION_CODE < KERNEL_VERSION(3,19,0)
+#define napi_alloc_frag netdev_alloc_frag
+#endif
+
 /*
  * Complicated way of saying: We only backport netdev_rss_key stuff on kernels
  * that either already have net_get_random_once() (>= 3.13) or where we've been
